/* Estilos a las páginas que tendran (Inversionistas) como plantilla */

.template-servicios{
    position: relative;
}

.template-servicios .capa{
    position: absolute;
    z-index: -1;
    width: 100%;
    min-height: 16rem;
    background: url('https://rdvial.gob.do/wp-content/uploads/2023/10/03.jpg'), linear-gradient(rgba(0, 0, 0, .8), rgba(0, 0, 0, .8));
    background-size: cover;
    background-attachment: fixed;
}

.template-servicios > .container{
    display: flex;
    width: 70%;
    margin-left: auto;
    margin-right: auto;
}

/* Menu */
.template-servicios > .container > .template-servicios-menu-container{
    width: 25%;
}
.template-servicios > .container > .template-servicios-menu-container > .template-servicios-nav-container{
    position: sticky;
    top: 2.5rem;
    margin-top: 16.5rem;
    background-color: #fff;

}
.template-servicios> .container > .template-servicios-menu-container > .template-servicios-nav-container > .menu-list{
    list-style: none;
    border-left: 1px solid #EE2A24;
}
.template-servicios > .container > .template-servicios-menu-container > .template-servicios-nav-container > .menu-list > .menu-item{
    position: relative;
    margin: .1rem .5rem;
    padding: .8rem;
    border-radius: .2rem;
    transition: background-color .4s ease-in-out;
    
}
.template-servicios > .container > .template-servicios-menu-container > .template-servicios-nav-container > .menu-list > .menu-item:hover{
    background-color: #EE2A24;
}
.template-servicios > .container > .template-servicios-menu-container > .template-servicios-nav-container > .menu-list > .menu-item:hover > a{
    color: #fff;
}
.template-servicios > .container > .template-servicios-menu-container > .template-servicios-nav-container > .menu-list > .menu-item > a{
    color: #22356C;
    text-decoration: none;
}

.template-servicios > .container > .template-servicios-menu-container > .template-servicios-nav-container > .menu-list > .current-menu-item{
    background-color: #EE2A24;
}
.template-servicios > .container > .template-servicios-menu-container > .template-servicios-nav-container > .menu-list > .current-menu-item > a{
    color: #fff;
}
.template-servicios > .container > .template-servicios-menu-container > .template-servicios-nav-container > .menu-list > .current-page-ancestor{
    background-color: #EE2A24;
}
.template-servicios > .container > .template-servicios-menu-container > .template-servicios-nav-container > .menu-list > .current-page-ancestor > a{
    color: #fff;
}

/* Contenido */
.template-servicios > .container > .template-servicios-contenido{
    width: 75%;
    background-color: #fff;
}
.template-servicios > .container > .template-servicios-contenido > .titulo-contenido{
    padding: 1rem;
    color: #22356C;
    background-color: #fff;
}
.template-servicios > .container > .template-servicios-contenido > .contenido{
    background-color: #fff;
}
.template-servicios > .container > .template-servicios-contenido > .contenido > .contenedor-servicios{
    display: flex;
    justify-content: space-around;
    align-items: center;
}
.template-servicios > .container > .template-servicios-contenido > .contenido > .contenedor-servicios > .card{
    width: 40%;
    border-radius: 0.4rem;
    padding: 1rem;
    display: flex;
    flex-flow: column;
    justify-content: space-between;
    box-shadow: 2px 2px 15px 0px #0000003d;
    background-color: #fff;
}
.template-servicios > .container > .template-servicios-contenido > .contenido > .contenedor-servicios > .card > .card-titulo{
   padding: 1rem  0;
}
.template-servicios > .container > .template-servicios-contenido > .contenido > .contenedor-servicios > .card > .img-container{
    width: 100%;
    height: 40%;
    margin: .5rem 0;
}
.template-servicios > .container > .template-servicios-contenido > .contenido > .contenedor-servicios > .card > .img-container > img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.template-servicios > .container > .template-servicios-contenido > .contenido > .contenedor-servicios > .card > .card-enlace{
    text-align: justify;
    text-decoration: none;
    color: black;
    line-height: 1.5rem;
}
.template-servicios > .container > .template-servicios-contenido > .contenido > .contenedor-servicios > .card > .card-boton{
    position: relative;
    padding: 1.2rem;
    margin-top: 1rem;
    border-style: none;
    border-radius: 0.2rem;
    box-shadow: 2px 2px 5px 0px #0000003d
}
.template-servicios > .container > .template-servicios-contenido > .contenido > .contenedor-servicios > .card > .card-boton > a{
    position: absolute;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    font-size: 1rem;
    text-decoration: none;
    color: black;
    top: 0;
    left: 0;
    bottom: 0;

}
.template-servicios > .container > .template-servicios-contenido > .contenido > h3{
   margin-left: 1rem;
}
.template-servicios > .container > .template-servicios-contenido > .contenido > p{
    margin: 1.2rem;
    text-align: justify;
    line-height: 1.4rem;
}
.template-servicios > .container > .template-servicios-contenido > .contenido > ul{
    margin: 0 2rem;
    list-style: circle;
}
.template-servicios > .container > .template-servicios-contenido > .contenido > ul > li{
    margin: .5rem 0;
    text-align: justify;
    line-height: 1.4rem;
}
.template-servicios > .container > .template-servicios-contenido > .contenido > ul > li::marker{
    color: #EE2A24;
}

/* Clases definidas por wordpress a tráves de Gutenberg */
.template-servicios > .container > .template-servicios-contenido > .contenido > .wp-block-columns{
    padding: 2rem;
}
.template-servicios > .container > .template-servicios-contenido > .contenido > .wp-block-columns > .wp-block-column{
    padding: 1rem 0;
    box-shadow: 0px 0px 4px rgba(0,0,0,.8);
}

/* Fin Clases definidas por wordpress a tráves de Gutenberg */


/* Media query */
@media screen and (min-width: 100px) and (max-width: 768px){
    .template-servicios > .container{
        width: 100%;
    }
    
    .template-servicios > .container > .template-servicios-menu-container{
        display: none;
    }

    .template-servicios > .container > .template-servicios-contenido{
        width: 100%;
    }

    .template-servicios > .container > .template-servicios-contenido > .contenido > .contenedor-servicios{
        display: flex;
        flex-direction: column;
        justify-content: space-around;
        align-items: center;
    }
    .template-servicios > .container > .template-servicios-contenido > .contenido > .contenedor-servicios > .card{
        width: 90%;
        margin: 1rem 0;
    }


}   
